function Enum(tbl)
	for i = 1, #tbl do
		local v = tbl[i]
		tbl[v] = i
	end
	return tbl
end

COLOR = Enum {
	"Black",
	"Red",
	"Green",
	"Yellow",
	"Blue",
	"Purple",
	"Cyan",
	"LightGray",
	"Gray",
	"HighRed",
	"HighGreen",
	"HighYellow",
	"HighBlue",
	"HighPurple",
	"HighCyan",
	"White"
}

function colorText(Color, Text)
	return "\027[38;5;"..tostring(Color-1).."m"..Text.."\027[0;m"	
end

function colorTextBackground(Color, Text)
	return "\027[48;5;"..tostring(Color-1).."m"..Text.."\027[0;m"	
end