return function(tbl)
	local show_all = false
	for _, v in pairs(arg) do	
		if v == "-a" or v == "--all" then show_all = true end
	end		
	
	for i=1, #tbl do
		local this_number = tbl[i][1]
		local this_word = tbl[i][2]
		local text = colorTextBackground(COLOR.Black,colorText(COLOR.White,"#"))
		local length = string.len(#words) - string.len(this_number)
		while length > 0 do
			text = text .. colorTextBackground(COLOR.Black,colorText(COLOR.White,"0"))
			length = length - 1
		end
		text = text .. colorTextBackground(COLOR.Black,colorText(COLOR.White,this_number .. " "))
		text = text .. colorTextBackground(COLOR.Black,colorText(COLOR.HighBlue,this_word[1]))
		text = text .. colorTextBackground(COLOR.Black,colorText(COLOR.Gray,this_word[3]))
		text = text .. colorTextBackground(COLOR.Black,colorText(COLOR.Green,this_word[2]))
		
		print(text)
		if show_all then
			text = ""
			if this_word[4] ~= "" then
				text = text ..  colorText(COLOR.HighCyan,"\tCanon origin: ")
				text = text ..  colorText(COLOR.HighCyan,this_word[4])
				print(text)
			end
			text = ""
			if this_word[5] ~= "" then
				text = text ..  colorText(COLOR.HighPurple,"\tMeta origin: ")
				text = text ..  colorText(COLOR.HighPurple,this_word[5])
				print(text)
			end
			text = ""
			if this_word[6] ~= "" then
				text = text ..  colorText(COLOR.HighYellow,"\tNotes: ")
				text = text ..  colorText(COLOR.HighYellow,this_word[6])
				print(text)
			end
			print("")
		end
	end
end
